<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Making plots from GHRU data • ghruR</title>
<!-- jquery --><script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script><!-- Bootstrap --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/css/bootstrap.min.css" integrity="sha256-bZLfwXAP04zRMK2BjiO8iu9pf4FbLqX6zitd+tIvLhE=" crossorigin="anonymous">
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/js/bootstrap.min.js" integrity="sha256-nuL8/2cJ5NDSSwnKD8VqreErSWHtnEP9E7AySL+1ev4=" crossorigin="anonymous"></script><!-- bootstrap-toc --><link rel="stylesheet" href="../bootstrap-toc.css">
<script src="../bootstrap-toc.js"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css" integrity="sha256-mmgLkCYLUQbXn0B1SRqzHar6dCnv9oZFPEC1g1cwlkk=" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/v4-shims.min.css" integrity="sha256-wZjR52fzng1pJHwx4aV2AO3yyTOXrcDW7jBpJtTwVxw=" crossorigin="anonymous">
<!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script><!-- headroom.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/headroom.min.js" integrity="sha256-AsUX4SJE1+yuDu5+mAVzJbuYNPHj/WroHuZ8Ir/CkE0=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script><!-- pkgdown --><link href="../pkgdown.css" rel="stylesheet">
<script src="../pkgdown.js"></script><meta property="og:title" content="Making plots from GHRU data">
<meta property="og:description" content="ghruR">
<!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body data-spy="scroll" data-target="#toc">
    <div class="container template-article">
      <header><div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="../index.html">ghruR</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.3.2</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
<li>
  <a href="../index.html">
    <span class="fas fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="../reference/index.html">Reference</a>
</li>
<li class="dropdown">
  <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
    Articles
     
    <span class="caret"></span>
  </a>
  <ul class="dropdown-menu" role="menu">
<li>
      <a href="../articles/analysing_ghru_data.html">Analysing GHRU Data</a>
    </li>
    <li>
      <a href="../articles/making_microreact_compatible_data.html">Making Microreact-compatible data from GHRU metadata and outputs</a>
    </li>
    <li>
      <a href="../articles/making_microreact_compatible_data_manually.html">Making Microreact-compatible data from GHRU metadata the manual way</a>
    </li>
    <li>
      <a href="../articles/ploting_GHRU_data.html">Making plots from GHRU data</a>
    </li>
    <li>
      <a href="../articles/plotting_upset_diagrams.html">Making upset plots from GHRU data</a>
    </li>
    <li>
      <a href="../articles/simple_concordance_example.html">Example of a simple concordance analysis</a>
    </li>
  </ul>
</li>
      </ul>
<ul class="nav navbar-nav navbar-right"></ul>
</div>
<!--/.nav-collapse -->
  </div>
<!--/.container -->
</div>
<!--/.navbar -->

      

      </header><script src="ploting_GHRU_data_files/header-attrs-2.11/header-attrs.js"></script><script src="ploting_GHRU_data_files/kePrint-0.0.1/kePrint.js"></script><link href="ploting_GHRU_data_files/lightable-0.0.1/lightable.css" rel="stylesheet">
<div class="row">
  <div class="col-md-9 contents">
    <div class="page-header toc-ignore">
      <h1 data-toc-skip>Making plots from GHRU data</h1>
                        <h4 class="author">Anthony Underwood</h4>
            
      
      
      <div class="hidden name"><code>ploting_GHRU_data.Rmd</code></div>

    </div>

    
    
<div id="introduction" class="section level2">
<h2 class="hasAnchor">
<a href="#introduction" class="anchor"></a>Introduction</h2>
<p>This vignette will demonstrate how to use some of the inbuilt GHRU R functions to plot data</p>
<div id="getting-the-required-data" class="section level3">
<h3 class="hasAnchor">
<a href="#getting-the-required-data" class="anchor"></a>Getting the required data</h3>
<p>For these plots we will need epi data, MLST data and AMR data.</p>
<div class="sourceCode" id="cb1"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="kw"><a href="https://rdrr.io/r/base/library.html">library</a></span><span class="op">(</span><span class="va">ghruR</span><span class="op">)</span>
<span class="kw"><a href="https://rdrr.io/r/base/library.html">library</a></span><span class="op">(</span><span class="va"><a href="http://haozhu233.github.io/kableExtra/">kableExtra</a></span><span class="op">)</span>
<span class="va">epi_data</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/get_data_for_country.html">get_data_for_country</a></span><span class="op">(</span>
  country_value <span class="op">=</span> <span class="st">"India"</span>,
  type_value <span class="op">=</span> <span class="st">"Epidemiological Metadata"</span>,
  user_email <span class="op">=</span> <span class="st">"anthony.underwood@cgps.group"</span><span class="op">)</span></code></pre></div>
<pre><code>## [1] "anthony.underwood@cgps.group"
## [1] "anthony.underwood@cgps.group"
## [1] "anthony.underwood@cgps.group"</code></pre>
<div class="sourceCode" id="cb3"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">epi_data</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/clean_data.html">clean_data</a></span><span class="op">(</span><span class="va">epi_data</span><span class="op">)</span>

<span class="va">mlst_data</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/get_data_for_country.html">get_data_for_country</a></span><span class="op">(</span>
  country_value <span class="op">=</span> <span class="st">"India"</span>,
  type_value <span class="op">=</span> <span class="st">"MLST"</span>,
  user_email <span class="op">=</span> <span class="st">"anthony.underwood@cgps.group"</span><span class="op">)</span></code></pre></div>
<pre><code>## [1] "anthony.underwood@cgps.group"</code></pre>
<div class="sourceCode" id="cb5"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">amr_data</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/get_data_for_country.html">get_data_for_country</a></span><span class="op">(</span>
  country_value <span class="op">=</span> <span class="st">"India"</span>,
  type_value <span class="op">=</span> <span class="st">"AMR Klebsiella pneumoniae"</span>,
  AMR_type <span class="op">=</span> <span class="st">"acquired"</span>,
  user_email <span class="op">=</span> <span class="st">"anthony.underwood@cgps.group"</span><span class="op">)</span></code></pre></div>
<pre><code>## [1] "anthony.underwood@cgps.group"</code></pre>
</div>
<div id="basic-stats" class="section level3">
<h3 class="hasAnchor">
<a href="#basic-stats" class="anchor"></a>Basic stats</h3>
<div class="sourceCode" id="cb7"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="co"># Select just the data for which we have AMR data</span>
<span class="va">kpn_ids</span> <span class="op">&lt;-</span> <span class="va">amr_data</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://dplyr.tidyverse.org/reference/pull.html">pull</a></span><span class="op">(</span><span class="va">`Sample id`</span><span class="op">)</span>
<span class="va">combined_data</span> <span class="op">&lt;-</span> <span class="va">epi_data</span> <span class="op">%&gt;%</span> 
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/filter.html">filter</a></span><span class="op">(</span><span class="va">`Sample id`</span> <span class="op">%in%</span> <span class="va">kpn_ids</span><span class="op">)</span> <span class="op">%&gt;%</span> 
  <span class="fu"><a href="https://dplyr.tidyverse.org/reference/mutate-joins.html">left_join</a></span><span class="op">(</span><span class="va">mlst_data</span>, by <span class="op">=</span> <span class="st">'Sample id'</span><span class="op">)</span>
<span class="co"># Show some basic stats</span>
<span class="va">samples_per_sentinel_site</span> <span class="op">&lt;-</span> <span class="fu"><a href="../reference/count_samples_by_sentinel_site.html">count_samples_by_sentinel_site</a></span><span class="op">(</span><span class="va">combined_data</span><span class="op">)</span>
<span class="va">samples_per_sentinel_site</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/knitr/man/kable.html">kable</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/kable_styling.html">kable_styling</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/scroll_box.html">scroll_box</a></span><span class="op">(</span>width <span class="op">=</span> <span class="st">"100%"</span><span class="op">)</span></code></pre></div>
<div style="border: 1px solid #ddd; padding: 5px; overflow-x: scroll; width:100%; ">
<table class="table table">
<thead><tr>
<th style="text-align:left;">
Sentinel Site Code
</th>
<th style="text-align:right;">
Sample Count
</th>
</tr></thead>
<tbody>
<tr>
<td style="text-align:left;">
AIIMSJ
</td>
<td style="text-align:right;">
19
</td>
</tr>
<tr>
<td style="text-align:left;">
APH
</td>
<td style="text-align:right;">
5
</td>
</tr>
<tr>
<td style="text-align:left;">
BCH
</td>
<td style="text-align:right;">
258
</td>
</tr>
<tr>
<td style="text-align:left;">
BCR
</td>
<td style="text-align:right;">
9
</td>
</tr>
<tr>
<td style="text-align:left;">
CMC
</td>
<td style="text-align:right;">
8
</td>
</tr>
<tr>
<td style="text-align:left;">
IGIMS
</td>
<td style="text-align:right;">
21
</td>
</tr>
<tr>
<td style="text-align:left;">
IPH
</td>
<td style="text-align:right;">
1
</td>
</tr>
<tr>
<td style="text-align:left;">
JAY
</td>
<td style="text-align:right;">
70
</td>
</tr>
<tr>
<td style="text-align:left;">
JIP
</td>
<td style="text-align:right;">
55
</td>
</tr>
<tr>
<td style="text-align:left;">
KGMU
</td>
<td style="text-align:right;">
9
</td>
</tr>
<tr>
<td style="text-align:left;">
KMC
</td>
<td style="text-align:right;">
28
</td>
</tr>
<tr>
<td style="text-align:left;">
KMN
</td>
<td style="text-align:right;">
1
</td>
</tr>
<tr>
<td style="text-align:left;">
LPL
</td>
<td style="text-align:right;">
3
</td>
</tr>
<tr>
<td style="text-align:left;">
MEDQ
</td>
<td style="text-align:right;">
2
</td>
</tr>
<tr>
<td style="text-align:left;">
MIMS
</td>
<td style="text-align:right;">
5
</td>
</tr>
<tr>
<td style="text-align:left;">
NIM
</td>
<td style="text-align:right;">
5
</td>
</tr>
<tr>
<td style="text-align:left;">
PRIM
</td>
<td style="text-align:right;">
7
</td>
</tr>
<tr>
<td style="text-align:left;">
RBH
</td>
<td style="text-align:right;">
7
</td>
</tr>
<tr>
<td style="text-align:left;">
RRM
</td>
<td style="text-align:right;">
13
</td>
</tr>
<tr>
<td style="text-align:left;">
SDU
</td>
<td style="text-align:right;">
5
</td>
</tr>
<tr>
<td style="text-align:left;">
SMF
</td>
<td style="text-align:right;">
5
</td>
</tr>
<tr>
<td style="text-align:left;">
SMS
</td>
<td style="text-align:right;">
7
</td>
</tr>
<tr>
<td style="text-align:left;">
TSRM
</td>
<td style="text-align:right;">
6
</td>
</tr>
<tr>
<td style="text-align:left;">
UTK
</td>
<td style="text-align:right;">
29
</td>
</tr>
<tr>
<td style="text-align:left;">
VPC
</td>
<td style="text-align:right;">
64
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div id="plotting-st-data" class="section level3">
<h3 class="hasAnchor">
<a href="#plotting-st-data" class="anchor"></a>Plotting ST data</h3>
<div id="plot-all-sts-ordered-by-count" class="section level4">
<h4 class="hasAnchor">
<a href="#plot-all-sts-ordered-by-count" class="anchor"></a>Plot all STs ordered by count</h4>
<div class="sourceCode" id="cb8"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">st_counts</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/count_sts.html">count_sts</a></span><span class="op">(</span><span class="va">combined_data</span><span class="op">)</span>
<span class="va">st_plot</span> <span class="op">&lt;-</span> <span class="fu"><a href="../reference/plot_sts.html">plot_sts</a></span><span class="op">(</span><span class="va">st_counts</span>, order_by_count <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span>
<span class="fu"><a href="https://rdrr.io/r/base/print.html">print</a></span><span class="op">(</span><span class="va">st_plot</span><span class="op">)</span></code></pre></div>
<p><img src="ploting_GHRU_data_files/figure-html/unnamed-chunk-3-1.png" width="100%"></p>
<div id="plot-top-10-most-frequent-sts-ordered-by-count" class="section level5">
<h5 class="hasAnchor">
<a href="#plot-top-10-most-frequent-sts-ordered-by-count" class="anchor"></a>Plot top 10 most frequent STs ordered by count</h5>
<div class="sourceCode" id="cb9"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">most_frequent_sts</span> <span class="op">&lt;-</span> <span class="fu"><a href="../reference/count_most_frequent_sts.html">count_most_frequent_sts</a></span><span class="op">(</span><span class="va">st_counts</span><span class="op">)</span>
<span class="va">st_plot</span> <span class="op">&lt;-</span> <span class="fu"><a href="../reference/plot_sts.html">plot_sts</a></span><span class="op">(</span><span class="va">most_frequent_sts</span>, order_by_count <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span>
<span class="fu"><a href="https://rdrr.io/r/base/print.html">print</a></span><span class="op">(</span><span class="va">st_plot</span><span class="op">)</span></code></pre></div>
<p><img src="ploting_GHRU_data_files/figure-html/unnamed-chunk-4-1.png" width="100%"></p>
</div>
</div>
<div id="plot-most-frequent-sts-by-sentinel-site" class="section level4">
<h4 class="hasAnchor">
<a href="#plot-most-frequent-sts-by-sentinel-site" class="anchor"></a>Plot most frequent STs by Sentinel Site</h4>
<div class="sourceCode" id="cb10"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">st_counts_by_sentinel_site</span> <span class="op">&lt;-</span> <span class="fu"><a href="../reference/count_sts_by_sentinel_site.html">count_sts_by_sentinel_site</a></span><span class="op">(</span><span class="va">combined_data</span><span class="op">)</span>
<span class="va">most_frequent_st_counts_by_sentinel_site</span> <span class="op">&lt;-</span> <span class="fu"><a href="../reference/count_most_frequent_sts_per_sentinel_site.html">count_most_frequent_sts_per_sentinel_site</a></span><span class="op">(</span><span class="va">st_counts_by_sentinel_site</span>, per_sentinel_site <span class="op">=</span> <span class="fl">2</span><span class="op">)</span>
<span class="fu"><a href="../reference/plot_most_frequent_sentinel_site_sts.html">plot_most_frequent_sentinel_site_sts</a></span><span class="op">(</span><span class="va">most_frequent_st_counts_by_sentinel_site</span><span class="op">)</span></code></pre></div>
<p><img src="ploting_GHRU_data_files/figure-html/unnamed-chunk-5-1.png" width="100%"></p>
</div>
</div>
<div id="plotting-amr-data" class="section level3">
<h3 class="hasAnchor">
<a href="#plotting-amr-data" class="anchor"></a>Plotting AMR data</h3>
<p>First converting the amr data to long format and annotating with NCBI metadata and then plotting selected drug classes</p>
<div class="sourceCode" id="cb11"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="co"># convert to long format</span>
<span class="va">annotated_amr_data</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/annotate_amr_data.html">annotate_amr_data</a></span><span class="op">(</span><span class="va">amr_data</span><span class="op">)</span>
<span class="co"># filter data</span>
<span class="va">annotated_amr_data</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/filter_long_data.html">filter_long_data</a></span><span class="op">(</span><span class="va">annotated_amr_data</span><span class="op">)</span>
<span class="co"># add Sentinel Site Code</span>
<span class="va">annotated_amr_data</span>  <span class="op">%&lt;&gt;%</span> <span class="fu"><a href="https://dplyr.tidyverse.org/reference/mutate-joins.html">left_join</a></span><span class="op">(</span>
  <span class="va">epi_data</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://dplyr.tidyverse.org/reference/select.html">select</a></span><span class="op">(</span><span class="va">`Sample id`</span>, <span class="va">`Sentinel Site Code`</span><span class="op">)</span>,
  by <span class="op">=</span> <span class="st">'Sample id'</span>
<span class="op">)</span>
<span class="co">#  select drug classes</span>
<span class="va">selected_drug_subclasses</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="st">"BETA-LACTAM"</span>, <span class="st">"CEPHALOSPORIN"</span>, <span class="st">"CARBAPENEM"</span><span class="op">)</span>

<span class="va">subclass_counts_by_sentinel_site</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/count_AMR_subclasses_by_sentinel_site.html">count_AMR_subclasses_by_sentinel_site</a></span><span class="op">(</span>
  <span class="va">annotated_amr_data</span>,
  <span class="va">samples_per_sentinel_site</span>,
  <span class="va">selected_drug_subclasses</span>
<span class="op">)</span>
<span class="va">amr_subclasses_plot</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/plot_AMR_subclasses_by_sentinel_site.html">plot_AMR_subclasses_by_sentinel_site</a></span><span class="op">(</span><span class="va">subclass_counts_by_sentinel_site</span><span class="op">)</span></code></pre></div>
<p>Make a plot looking at the distribution of gene families. Combine them together</p>
<div class="sourceCode" id="cb12"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">gene_family_counts_by_sentinel_site</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/count_gene_families_by_sentinel_site.html">count_gene_families_by_sentinel_site</a></span><span class="op">(</span>
  <span class="va">annotated_amr_data</span>,
  <span class="va">subclass_counts_by_sentinel_site</span>,
  <span class="va">selected_drug_subclasses</span><span class="op">)</span>

<span class="va">gene_family_dot_plot</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/dot_plot_gene_family_counts_by_sentinel_site.html">dot_plot_gene_family_counts_by_sentinel_site</a></span><span class="op">(</span><span class="va">gene_family_counts_by_sentinel_site</span><span class="op">)</span>
<span class="fu">cowplot</span><span class="fu">::</span><span class="fu"><a href="https://wilkelab.org/cowplot/reference/plot_grid.html">plot_grid</a></span><span class="op">(</span><span class="va">amr_subclasses_plot</span>, <span class="va">gene_family_dot_plot</span>,ncol <span class="op">=</span><span class="fl">1</span>, align<span class="op">=</span><span class="st">"v"</span>, rel_heights <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="fl">1</span>, <span class="fl">3</span><span class="op">)</span><span class="op">)</span></code></pre></div>
<p><img src="ploting_GHRU_data_files/figure-html/unnamed-chunk-7-1.png" width="100%"> It is important to look at the gene alleles responsible for resistance. Here looking at just cephalosporin and carbapenem</p>
<div class="sourceCode" id="cb13"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">drug_subclasses</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="st">'CEPHALOSPORIN'</span>, <span class="st">'CARBAPENEM'</span><span class="op">)</span>
<span class="va">allele_counts_by_sentinel_site</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/count_alleles_by_sentinel_site.html">count_alleles_by_sentinel_site</a></span><span class="op">(</span>
  <span class="va">annotated_amr_data</span>,
  <span class="va">gene_family_counts_by_sentinel_site</span>,
  <span class="va">drug_subclasses</span>
<span class="op">)</span>
<span class="va">allele_counts_plots</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/plot_allele_counts_by_sentinel_site.html">plot_allele_counts_by_sentinel_site</a></span><span class="op">(</span>
  <span class="va">allele_counts_by_sentinel_site</span>,
  <span class="va">drug_subclasses</span>
<span class="op">)</span></code></pre></div>
<div class="sourceCode" id="cb14"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="fu"><a href="https://rdrr.io/r/base/print.html">print</a></span><span class="op">(</span><span class="va">allele_counts_plots</span><span class="op">[[</span><span class="fl">1</span><span class="op">]</span><span class="op">]</span><span class="op">)</span></code></pre></div>
<p><img src="ploting_GHRU_data_files/figure-html/unnamed-chunk-9-1.png" width="100%"></p>
<div class="sourceCode" id="cb15"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="fu"><a href="https://rdrr.io/r/base/print.html">print</a></span><span class="op">(</span><span class="va">allele_counts_plots</span><span class="op">[[</span><span class="fl">2</span><span class="op">]</span><span class="op">]</span><span class="op">)</span></code></pre></div>
<p><img src="ploting_GHRU_data_files/figure-html/unnamed-chunk-10-1.png" width="100%"></p>
</div>
</div>
  </div>

  <div class="col-md-3 hidden-xs hidden-sm" id="pkgdown-sidebar">

        <nav id="toc" data-toggle="toc"><h2 data-toc-skip>Contents</h2>
    </nav>
</div>

</div>



      <footer><div class="copyright">
  <p>Developed by CGPS team.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.6.1.</p>
</div>

      </footer>
</div>

  


  </body>
</html>
